summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2020-11-09 13:57:26 +0100
committerJoonas Niilola <juippis@gentoo.org>2020-11-17 16:20:48 +0200
commit3400d5290a72ae29a339e051f3f8ab44f8f8e29b (patch)
treefe285bdbbd8482f1761a88dd043a319dfc2b3a8b
parentdev-python/pyls-spyder: Spyder extensions for the python language server (diff)
downloadgentoo-3400d5290a72ae29a339e051f3f8ab44f8f8e29b.tar.gz
gentoo-3400d5290a72ae29a339e051f3f8ab44f8f8e29b.tar.bz2
gentoo-3400d5290a72ae29a339e051f3f8ab44f8f8e29b.zip
dev-python/pyls-black: Black plugin for the Python Language Server
Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--dev-python/pyls-black/Manifest1
-rw-r--r--dev-python/pyls-black/metadata.xml16
-rw-r--r--dev-python/pyls-black/pyls-black-0.4.6.ebuild29
3 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/pyls-black/Manifest b/dev-python/pyls-black/Manifest
new file mode 100644
index 00000000000..2dc576125c4
--- /dev/null
+++ b/dev-python/pyls-black/Manifest
@@ -0,0 +1 @@
+DIST pyls-black-0.4.6-gh.tar.gz 5121 BLAKE2B fb1265d40e7c8b85d066d8d3078a60ff719992abcd84efc9d9df582d6fd7e47f211dbed004081413955524e9455218085d78f1d843769a40168ac448139e283c SHA512 e9fa3faec0fb3f2a8bcbdd4c9b8b8e6662d1bcafa88f693b09e2a7a4df8c2d35df8d8f79c50bbb33342a07cde8931e7f136136ff40879898612b13bdff7277fc
diff --git a/dev-python/pyls-black/metadata.xml b/dev-python/pyls-black/metadata.xml
new file mode 100644
index 00000000000..0d4b1e724e4
--- /dev/null
+++ b/dev-python/pyls-black/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <upstream>
+ <remote-id type="pypi">pyls-black</remote-id>
+ <remote-id type="github">spyder-ide/pyls-black</remote-id>
+ </upstream>
+ <maintainer type="person">
+ <email>andrewammerlaan@riseup.net</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-python/pyls-black/pyls-black-0.4.6.ebuild b/dev-python/pyls-black/pyls-black-0.4.6.ebuild
new file mode 100644
index 00000000000..e7e5893f323
--- /dev/null
+++ b/dev-python/pyls-black/pyls-black-0.4.6.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Black plugin for the Python Language Server"
+HOMEPAGE="https://github.com/rupert/pyls-black
+ https://pypi.org/project/pyls-black/"
+SRC_URI="https://github.com/rupert/${PN}/archive/v${PV}.tar.gz -> ${P}-gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/python-language-server[${PYTHON_USEDEP}]
+ dev-python/black[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}